// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S206_AddOfPartitionsToReferences.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S206_AddOfPartitionsToReferences extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int convertPartitionAscState = 4;
  public static final int convertPartitionDescState = 6;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  3, 3
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\1\u0400\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\2\22\0\1\1"+
    "\1\0\1\3\3\0\1\4\1\0\2\5\2\0\1\6"+
    "\1\7\1\0\1\10\12\11\1\12\1\13\5\0\1\14"+
    "\1\15\1\16\1\17\1\20\1\21\1\22\1\23\1\24"+
    "\1\23\1\25\1\26\1\27\1\30\1\31\1\32\1\23"+
    "\1\33\1\34\1\35\1\36\1\37\1\40\2\23\1\41"+
    "\1\42\1\0\1\43\1\0\1\44\1\0\1\45\1\46"+
    "\1\47\1\50\1\51\1\52\1\53\1\0\1\54\1\0"+
    "\1\55\1\56\1\57\1\60\1\61\1\62\1\0\1\63"+
    "\1\64\1\65\1\66\1\67\1\70\2\0\1\71\265\0"+
    "\2\54\115\0\1\64\u0182\0\1\1\20\0\2\7\u0115\0"+
    "\1\55\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1280];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\4\0\2\1\2\2\2\3\1\4\12\0\1\5\41\0"+
    "\1\6\45\0\1\6\33\0\1\7\4\0\1\6\50\0"+
    "\1\6\24\0\1\10\370\0\1\11\u0152\0\1\12\2\0"+
    "\1\13\56\0\1\14\3\0\1\15\30\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[855];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\72\0\164\0\256\0\350\0\u0122\0\350\0\u015c"+
    "\0\350\0\u0196\0\350\0\u01d0\0\u020a\0\u0244\0\u027e\0\u02b8"+
    "\0\u02f2\0\u032c\0\u0366\0\u03a0\0\u03da\0\350\0\u0414\0\u044e"+
    "\0\u0488\0\u04c2\0\u04fc\0\u0536\0\u0570\0\u05aa\0\u05e4\0\u061e"+
    "\0\u0658\0\u0692\0\u06cc\0\u0706\0\u0740\0\u077a\0\u07b4\0\u07ee"+
    "\0\u0828\0\u0862\0\u089c\0\u08d6\0\u0910\0\u094a\0\u0984\0\u09be"+
    "\0\u09f8\0\u0a32\0\u0a6c\0\u0aa6\0\u0ae0\0\u0b1a\0\u0b54\0\350"+
    "\0\u0b8e\0\u0bc8\0\u0c02\0\u0c3c\0\u0c76\0\u0cb0\0\u0cea\0\u0d24"+
    "\0\u0d5e\0\u0d98\0\u0dd2\0\u0e0c\0\u0e46\0\u0e80\0\u0eba\0\u0ef4"+
    "\0\u0f2e\0\u0f68\0\u0fa2\0\u0fdc\0\u1016\0\u1050\0\u108a\0\u10c4"+
    "\0\u10fe\0\u1138\0\u1172\0\u11ac\0\u11e6\0\u1220\0\u125a\0\u1294"+
    "\0\u12ce\0\u1308\0\u1342\0\u137c\0\u13b6\0\u13f0\0\u13f0\0\u142a"+
    "\0\u1464\0\u149e\0\u14d8\0\u1512\0\u154c\0\u1586\0\u15c0\0\u15fa"+
    "\0\u1634\0\u166e\0\u16a8\0\u16e2\0\u171c\0\u1756\0\u1790\0\u17ca"+
    "\0\u1804\0\u183e\0\u1878\0\u18b2\0\u18ec\0\u1926\0\u1960\0\u199a"+
    "\0\u19d4\0\350\0\u1a0e\0\u1a48\0\u1a82\0\u1abc\0\u1af6\0\u1b30"+
    "\0\u1b6a\0\u1ba4\0\u1af6\0\u1bde\0\u1c18\0\u1c52\0\u1c8c\0\u1cc6"+
    "\0\u1d00\0\u1d3a\0\u1d74\0\u1dae\0\u1de8\0\u1e22\0\u1e5c\0\u1e96"+
    "\0\u1ed0\0\u1f0a\0\u1f44\0\u1f7e\0\u1fb8\0\u1ff2\0\u202c\0\u2066"+
    "\0\u20a0\0\u20da\0\u2114\0\u214e\0\u2188\0\u21c2\0\u21fc\0\u2236"+
    "\0\u2270\0\u22aa\0\u22e4\0\u231e\0\u2358\0\u2392\0\u23cc\0\u2406"+
    "\0\u2406\0\u2440\0\u247a\0\u24b4\0\u24ee\0\u2528\0\u2562\0\u259c"+
    "\0\u25d6\0\u2610\0\u264a\0\u2684\0\u26be\0\u26f8\0\u2732\0\u276c"+
    "\0\u27a6\0\u27e0\0\u281a\0\u2854\0\u288e\0\u28c8\0\u2902\0\u293c"+
    "\0\u2976\0\u29b0\0\u29ea\0\u2a24\0\u2a5e\0\u288e\0\u2a98\0\u2ad2"+
    "\0\u2b0c\0\u2b46\0\u2b80\0\u2bba\0\u2bf4\0\u2c2e\0\u2c68\0\u2ca2"+
    "\0\u2cdc\0\u2d16\0\u2d50\0\u2d8a\0\u2dc4\0\u2dfe\0\u2e38\0\u2e72"+
    "\0\u2eac\0\u2ee6\0\u2f20\0\u2f5a\0\u2f94\0\u2fce\0\u3008\0\u3042"+
    "\0\u307c\0\u30b6\0\u30f0\0\u312a\0\u3164\0\u319e\0\u31d8\0\u3212"+
    "\0\u324c\0\u3286\0\u32c0\0\u32fa\0\u3334\0\u336e\0\u33a8\0\u33e2"+
    "\0\u341c\0\u3456\0\u3490\0\u34ca\0\u3504\0\u353e\0\u3578\0\u35b2"+
    "\0\u35ec\0\u3626\0\u3660\0\u369a\0\u36d4\0\u370e\0\u3748\0\u3782"+
    "\0\u37bc\0\u37f6\0\u3830\0\u386a\0\u38a4\0\u38de\0\u3918\0\u3952"+
    "\0\u398c\0\u39c6\0\u3a00\0\u3a3a\0\u3a74\0\u3aae\0\u3ae8\0\u3b22"+
    "\0\u3b5c\0\u3b96\0\u3bd0\0\u3c0a\0\u3c44\0\u3c7e\0\u3cb8\0\u3cf2"+
    "\0\u3d2c\0\u3d66\0\u3da0\0\u3dda\0\u3e14\0\u3e4e\0\u3e88\0\u3ec2"+
    "\0\u3efc\0\u3f36\0\u3f70\0\u3faa\0\u3fe4\0\u401e\0\u4058\0\u4092"+
    "\0\u40cc\0\u4106\0\u4140\0\u417a\0\u41b4\0\u41ee\0\u4228\0\u4262"+
    "\0\u429c\0\u42d6\0\u4310\0\u434a\0\u4384\0\u43be\0\u43f8\0\u4432"+
    "\0\u446c\0\u44a6\0\u44e0\0\u451a\0\u4554\0\u458e\0\u45c8\0\u4602"+
    "\0\u463c\0\u4676\0\u46b0\0\u46ea\0\u4724\0\u475e\0\u4798\0\u47d2"+
    "\0\u480c\0\u4846\0\u4880\0\u48ba\0\u48f4\0\u492e\0\u4968\0\u49a2"+
    "\0\u49dc\0\u4a16\0\u4a50\0\u4a8a\0\u4ac4\0\u4afe\0\u4b38\0\u4b72"+
    "\0\u4bac\0\u4be6\0\u4c20\0\u4c5a\0\u4c94\0\u4cce\0\u4d08\0\u4d42"+
    "\0\u4d7c\0\u4db6\0\u4df0\0\u4e2a\0\u4e64\0\u4e9e\0\u4ed8\0\u4f12"+
    "\0\u4f4c\0\u4f86\0\u4fc0\0\u4ffa\0\u5034\0\u506e\0\u50a8\0\u50e2"+
    "\0\u511c\0\u5156\0\u5190\0\u51ca\0\u5204\0\u523e\0\u5278\0\u52b2"+
    "\0\u52ec\0\u5326\0\u5360\0\u539a\0\u53d4\0\u540e\0\u5448\0\u5482"+
    "\0\u54bc\0\u54f6\0\u5530\0\u556a\0\u55a4\0\u55de\0\u5618\0\u5652"+
    "\0\u568c\0\u56c6\0\u5700\0\u573a\0\u5774\0\u57ae\0\u57e8\0\u5822"+
    "\0\u585c\0\u5896\0\u58d0\0\u590a\0\u5944\0\u597e\0\u59b8\0\u59f2"+
    "\0\u5a2c\0\u5a66\0\u5aa0\0\u5ada\0\u5b14\0\u5b4e\0\u5b88\0\u5bc2"+
    "\0\u5bfc\0\u5c36\0\u5c70\0\u5caa\0\u5ce4\0\u5d1e\0\u5d58\0\u5d92"+
    "\0\u5dcc\0\u5e06\0\u5e40\0\u5e7a\0\u5eb4\0\u5eee\0\u5f28\0\u5f62"+
    "\0\u5f9c\0\u5fd6\0\u6010\0\u604a\0\u6084\0\350\0\u60be\0\u60f8"+
    "\0\u6132\0\u616c\0\u61a6\0\u61e0\0\u621a\0\u6254\0\u628e\0\u62c8"+
    "\0\u6302\0\u633c\0\u6376\0\u63b0\0\u63ea\0\u6424\0\u645e\0\u6498"+
    "\0\u64d2\0\u650c\0\u6546\0\u6580\0\u65ba\0\u65f4\0\u662e\0\u6668"+
    "\0\u66a2\0\u66dc\0\u6716\0\u6750\0\u678a\0\u67c4\0\u67fe\0\u6838"+
    "\0\u6872\0\u68ac\0\u68e6\0\u6920\0\u695a\0\u6994\0\u69ce\0\u6a08"+
    "\0\u6a42\0\u6a7c\0\u6ab6\0\u6af0\0\u6b2a\0\u6b64\0\u6b9e\0\u6bd8"+
    "\0\u6c12\0\u6c4c\0\u6c86\0\u6cc0\0\u6cfa\0\u6d34\0\u6d6e\0\u6da8"+
    "\0\u6de2\0\u6e1c\0\u6e56\0\u6e90\0\u6eca\0\u6f04\0\u6f3e\0\u6f78"+
    "\0\u6fb2\0\u6fec\0\u7026\0\u7060\0\u709a\0\u70d4\0\u710e\0\u7148"+
    "\0\u7182\0\u71bc\0\u71f6\0\u7230\0\u726a\0\u72a4\0\u72de\0\u7318"+
    "\0\u7352\0\u738c\0\u73c6\0\u7400\0\u743a\0\u7474\0\u74ae\0\u74e8"+
    "\0\u7522\0\u755c\0\u7596\0\u75d0\0\u760a\0\u7644\0\u767e\0\u76b8"+
    "\0\u76f2\0\u772c\0\u7766\0\u77a0\0\u77da\0\u7814\0\u784e\0\u7888"+
    "\0\u78c2\0\u78fc\0\u7936\0\u7970\0\u79aa\0\u79e4\0\u7a1e\0\u7a58"+
    "\0\u7a92\0\u7acc\0\u7b06\0\u7b40\0\u7b7a\0\u7bb4\0\u7bee\0\u7c28"+
    "\0\u7c62\0\u7c9c\0\u7cd6\0\u7d10\0\u7d4a\0\u7d84\0\u7dbe\0\u7df8"+
    "\0\u7e32\0\u7e6c\0\u7ea6\0\u7ee0\0\u7f1a\0\u7f54\0\u7f8e\0\u7fc8"+
    "\0\u8002\0\u803c\0\u8076\0\u80b0\0\u80ea\0\u8124\0\u815e\0\u8198"+
    "\0\u81d2\0\u820c\0\u8246\0\u8280\0\u82ba\0\u82f4\0\u832e\0\u8368"+
    "\0\u83a2\0\u83dc\0\u8416\0\u8450\0\u848a\0\u84c4\0\u84fe\0\u8538"+
    "\0\u8572\0\u85ac\0\u85e6\0\u8620\0\u865a\0\u8694\0\u86ce\0\u8708"+
    "\0\u8742\0\u877c\0\u87b6\0\u87f0\0\u882a\0\u8864\0\u889e\0\u88d8"+
    "\0\u8912\0\u894c\0\u8986\0\u89c0\0\u89fa\0\u8a34\0\u8a6e\0\u8aa8"+
    "\0\u8ae2\0\u8b1c\0\u8b56\0\u8b90\0\u8bca\0\u8c04\0\u8c3e\0\u8c78"+
    "\0\u8cb2\0\u8cec\0\u8d26\0\u8d60\0\u8d9a\0\u8dd4\0\u8e0e\0\u8e48"+
    "\0\u8e82\0\u8ebc\0\u8ef6\0\u8f30\0\u8f6a\0\u8fa4\0\u8fde\0\u9018"+
    "\0\u9052\0\u908c\0\u90c6\0\u9100\0\u913a\0\u9174\0\u91ae\0\u91e8"+
    "\0\u9222\0\u925c\0\u9296\0\u92d0\0\u930a\0\u9344\0\u937e\0\u93b8"+
    "\0\u93f2\0\u942c\0\u9466\0\u94a0\0\u94da\0\u9514\0\u954e\0\u9588"+
    "\0\u95c2\0\u95fc\0\u9636\0\u9670\0\u96aa\0\u96e4\0\u971e\0\u9758"+
    "\0\u9792\0\u97cc\0\u9806\0\u9840\0\u987a\0\u98b4\0\u98ee\0\u9928"+
    "\0\u9962\0\u999c\0\u99d6\0\u9a10\0\u9a4a\0\u9a84\0\u9abe\0\u9af8"+
    "\0\u9b32\0\u9b6c\0\u9ba6\0\u9be0\0\u9c1a\0\u9c54\0\u9c8e\0\u9cc8"+
    "\0\u9d02\0\u9d3c\0\u9d76\0\u9db0\0\u9dea\0\u9e24\0\u9e5e\0\u9e98"+
    "\0\u9ed2\0\u9f0c\0\u9f46\0\u9f80\0\u9fba\0\u9ff4\0\ua02e\0\ua068"+
    "\0\ua0a2\0\ua0dc\0\ua116\0\ua150\0\ua18a\0\ua1c4\0\ua1fe\0\ua238"+
    "\0\ua272\0\ua2ac\0\ua2e6\0\ua320\0\ua35a\0\ua394\0\ua3ce\0\ua408"+
    "\0\ua442\0\ua47c\0\ua4b6\0\ua4f0\0\ua52a\0\ua564\0\ua59e\0\ua5d8"+
    "\0\ua612\0\ua64c\0\ua686\0\ua6c0\0\ua6fa\0\ua734\0\ua76e\0\ua7a8"+
    "\0\ua7e2\0\ua81c\0\ua856\0\ua890\0\ua8ca\0\ua904\0\ua93e\0\ua978"+
    "\0\ua9b2\0\ua9ec\0\uaa26\0\uaa60\0\uaa9a\0\uaad4\0\uab0e\0\uab48"+
    "\0\uab82\0\uabbc\0\uabf6\0\uac30\0\uac6a\0\uaca4\0\uacde\0\uad18"+
    "\0\350\0\uad52\0\uad8c\0\350\0\uadc6\0\uae00\0\uae3a\0\uae74"+
    "\0\uaeae\0\uaee8\0\uaf22\0\uaf5c\0\uaf96\0\uafd0\0\ub00a\0\ub044"+
    "\0\ub07e\0\ub0b8\0\ub0f2\0\ub12c\0\ub166\0\ub1a0\0\ub1da\0\ub214"+
    "\0\ub24e\0\ub288\0\ub2c2\0\ub2fc\0\ub336\0\ub370\0\ub3aa\0\ub3e4"+
    "\0\ub41e\0\ub458\0\ub492\0\ub4cc\0\ub506\0\ub540\0\ub57a\0\ub5b4"+
    "\0\ub5ee\0\ub628\0\ub662\0\ub69c\0\ub6d6\0\ub710\0\ub74a\0\ub784"+
    "\0\ub7be\0\ub7f8\0\350\0\ub832\0\ub86c\0\ub8a6\0\350\0\ub8e0"+
    "\0\ub91a\0\ub954\0\ub98e\0\ub9c8\0\uba02\0\uba3c\0\uba76\0\ubab0"+
    "\0\ubaea\0\ubb24\0\ubb5e\0\ubb98\0\ubbd2\0\ubc0c\0\ubc46\0\ubc80"+
    "\0\ubcba\0\ubcf4\0\ubd2e\0\ubd68\0\ubda2\0\ubddc\0\ube16";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[855];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\42\5\1\6\27\5\42\7\1\10\27\7\42\11\1\12"+
    "\27\11\72\13\120\0\1\14\27\0\1\14\23\0\1\15"+
    "\107\0\1\16\27\0\1\16\40\0\1\17\27\0\1\17"+
    "\42\0\1\20\27\0\1\20\40\0\1\21\27\0\1\21"+
    "\44\0\1\22\27\0\1\22\36\0\1\23\27\0\1\23"+
    "\44\0\1\24\27\0\1\24\23\0\1\25\107\0\1\26"+
    "\27\0\1\26\23\0\1\27\73\0\16\30\1\31\1\30"+
    "\1\32\5\30\2\0\1\30\15\0\1\33\1\0\1\34"+
    "\21\0\16\35\1\36\7\35\2\0\1\35\15\0\1\37"+
    "\21\0\1\40\1\0\26\30\2\0\1\30\37\0\1\40"+
    "\1\0\1\41\25\30\2\0\1\30\1\42\36\0\1\40"+
    "\1\0\21\30\1\43\4\30\2\0\1\30\20\0\1\44"+
    "\20\0\1\42\30\0\1\42\61\0\1\44\27\0\1\44"+
    "\16\0\1\45\1\0\26\35\2\0\1\35\37\0\1\45"+
    "\1\0\1\46\25\35\2\0\1\35\1\47\40\0\1\47"+
    "\30\0\1\47\24\0\2\40\2\0\6\40\1\50\27\40"+
    "\2\0\26\40\12\0\1\40\1\0\17\30\1\51\6\30"+
    "\2\0\1\30\16\0\1\52\41\0\1\52\27\0\1\52"+
    "\20\0\1\40\1\0\16\30\1\53\7\30\2\0\1\30"+
    "\15\0\1\54\41\0\1\54\27\0\1\54\7\0\2\45"+
    "\2\0\6\45\1\55\27\45\2\0\26\45\12\0\1\45"+
    "\1\0\17\35\1\56\6\35\2\0\1\35\16\0\1\57"+
    "\41\0\1\57\27\0\1\57\17\0\1\60\72\0\1\40"+
    "\1\0\21\30\1\61\4\30\2\0\1\30\20\0\1\62"+
    "\41\0\1\62\27\0\1\62\16\0\1\40\1\0\24\30"+
    "\1\63\1\30\2\0\1\30\23\0\1\64\41\0\1\64"+
    "\27\0\1\64\12\0\1\65\72\0\1\45\1\0\21\35"+
    "\1\66\4\35\2\0\1\35\20\0\1\67\41\0\1\67"+
    "\27\0\1\67\15\0\1\60\31\0\1\70\40\0\1\40"+
    "\1\0\10\30\1\71\15\30\2\0\1\30\7\0\1\72"+
    "\41\0\1\72\27\0\1\72\27\0\1\73\1\0\26\30"+
    "\2\0\1\30\37\0\1\74\70\0\1\65\31\0\1\75"+
    "\40\0\1\45\1\0\10\35\1\76\15\35\2\0\1\35"+
    "\7\0\1\77\41\0\1\77\27\0\1\77\27\0\1\40"+
    "\1\0\21\30\1\100\4\30\2\0\1\30\20\0\1\101"+
    "\41\0\1\101\27\0\1\101\4\0\2\40\2\0\6\40"+
    "\1\50\16\40\1\102\10\40\2\0\15\40\1\102\10\40"+
    "\31\0\1\103\27\0\1\103\10\0\42\104\1\0\27\104"+
    "\12\0\1\45\1\0\21\35\1\105\4\35\2\0\1\35"+
    "\20\0\1\106\41\0\1\106\27\0\1\106\16\0\1\40"+
    "\1\0\10\30\1\107\15\30\2\0\1\30\7\0\1\110"+
    "\41\0\1\110\27\0\1\110\15\0\2\40\2\0\6\40"+
    "\1\50\6\40\1\111\20\40\2\0\6\40\1\111\17\40"+
    "\21\0\1\112\30\0\1\112\17\0\42\104\1\113\27\104"+
    "\12\0\1\45\1\0\10\35\1\114\15\35\2\0\1\35"+
    "\7\0\1\115\41\0\1\115\27\0\1\115\27\0\1\40"+
    "\1\0\15\30\1\116\10\30\2\0\1\30\14\0\1\117"+
    "\41\0\1\117\27\0\1\117\10\0\2\40\2\0\6\40"+
    "\1\120\27\40\2\0\26\40\12\0\1\121\67\0\1\122"+
    "\73\0\1\45\1\0\15\35\1\123\10\35\2\0\1\35"+
    "\14\0\1\124\41\0\1\124\27\0\1\124\22\0\1\40"+
    "\1\0\14\30\1\125\11\30\2\0\1\30\13\0\1\126"+
    "\41\0\1\126\27\0\1\126\22\0\1\127\71\0\1\130"+
    "\106\0\1\131\27\0\1\131\25\0\1\45\1\0\14\35"+
    "\1\132\11\35\2\0\1\35\13\0\1\133\41\0\1\133"+
    "\27\0\1\133\23\0\1\134\1\0\26\30\2\0\1\30"+
    "\37\0\1\135\70\0\1\127\31\0\1\136\37\0\1\130"+
    "\31\0\1\137\53\0\1\140\27\0\1\140\26\0\1\141"+
    "\1\0\26\35\2\0\1\35\37\0\1\141\57\0\2\134"+
    "\2\142\6\134\1\143\3\134\1\144\5\134\1\145\1\134"+
    "\1\146\13\134\1\142\1\0\3\134\1\144\4\134\1\145"+
    "\1\134\1\146\13\134\2\135\2\142\6\135\1\147\3\135"+
    "\1\150\5\135\1\151\1\135\1\152\13\135\1\142\1\0"+
    "\3\135\1\150\4\135\1\151\1\135\1\152\13\135\42\153"+
    "\1\0\27\153\30\0\1\154\27\0\1\154\11\0\2\141"+
    "\2\0\6\141\1\155\27\141\2\0\26\141\16\142\1\156"+
    "\5\142\1\157\1\142\1\160\14\142\1\0\3\142\1\156"+
    "\4\142\1\157\1\142\1\160\24\142\1\161\4\142\1\156"+
    "\5\142\1\157\1\142\1\160\14\142\1\0\3\142\1\156"+
    "\4\142\1\157\1\142\1\160\13\142\2\134\2\142\6\134"+
    "\1\143\3\134\1\144\5\134\1\145\1\134\1\146\2\134"+
    "\1\162\10\134\1\142\1\0\3\134\1\144\4\134\1\145"+
    "\1\134\1\146\2\134\1\162\12\134\2\142\6\134\1\143"+
    "\3\134\1\144\5\134\1\145\1\134\1\146\6\134\1\163"+
    "\4\134\1\142\1\0\3\134\1\144\4\134\1\145\1\134"+
    "\1\146\6\134\1\163\6\134\2\142\6\134\1\143\3\134"+
    "\1\144\1\134\1\164\3\134\1\145\1\134\1\146\13\134"+
    "\1\142\1\0\3\134\1\144\1\134\1\164\2\134\1\145"+
    "\1\134\1\146\13\134\11\142\1\165\4\142\1\156\5\142"+
    "\1\157\1\142\1\160\14\142\1\0\3\142\1\156\4\142"+
    "\1\157\1\142\1\160\13\142\2\135\2\142\6\135\1\147"+
    "\3\135\1\150\5\135\1\151\1\135\1\152\2\135\1\166"+
    "\10\135\1\142\1\0\3\135\1\150\4\135\1\151\1\135"+
    "\1\152\2\135\1\166\12\135\2\142\6\135\1\147\3\135"+
    "\1\150\5\135\1\151\1\135\1\152\6\135\1\167\4\135"+
    "\1\142\1\0\3\135\1\150\4\135\1\151\1\135\1\152"+
    "\6\135\1\167\6\135\2\142\6\135\1\147\3\135\1\150"+
    "\1\135\1\170\3\135\1\151\1\135\1\152\13\135\1\142"+
    "\1\0\3\135\1\150\1\135\1\170\2\135\1\151\1\135"+
    "\1\152\13\135\42\153\1\171\27\153\43\0\1\172\37\0"+
    "\1\173\60\0\16\142\1\156\5\142\1\157\1\142\1\160"+
    "\2\142\1\174\11\142\1\0\3\142\1\156\4\142\1\157"+
    "\1\142\1\160\2\142\1\174\26\142\1\156\5\142\1\157"+
    "\1\142\1\160\6\142\1\175\5\142\1\0\3\142\1\156"+
    "\4\142\1\157\1\142\1\160\6\142\1\175\22\142\1\156"+
    "\1\142\1\176\3\142\1\157\1\142\1\160\14\142\1\0"+
    "\3\142\1\156\1\142\1\176\2\142\1\157\1\142\1\160"+
    "\24\142\1\161\4\142\1\156\5\142\1\157\1\142\1\160"+
    "\14\142\1\177\3\142\1\156\4\142\1\157\1\142\1\160"+
    "\13\142\2\134\2\142\6\134\1\143\3\134\1\144\5\134"+
    "\1\145\1\134\1\146\1\200\12\134\1\142\1\0\3\134"+
    "\1\144\4\134\1\145\1\134\1\146\1\200\14\134\2\142"+
    "\6\134\1\143\3\134\1\144\1\134\1\201\3\134\1\145"+
    "\1\134\1\146\13\134\1\142\1\0\3\134\1\144\1\134"+
    "\1\201\2\134\1\145\1\134\1\146\15\134\2\142\6\134"+
    "\1\143\3\134\1\144\5\134\1\145\1\134\1\146\6\134"+
    "\1\202\4\134\1\142\1\0\3\134\1\144\4\134\1\145"+
    "\1\134\1\146\6\134\1\202\4\134\11\142\1\165\4\142"+
    "\1\156\5\142\1\157\1\142\1\160\14\142\1\203\3\142"+
    "\1\156\4\142\1\157\1\142\1\160\13\142\2\135\2\142"+
    "\6\135\1\147\3\135\1\150\5\135\1\151\1\135\1\152"+
    "\1\204\12\135\1\142\1\0\3\135\1\150\4\135\1\151"+
    "\1\135\1\152\1\204\14\135\2\142\6\135\1\147\3\135"+
    "\1\150\1\135\1\205\3\135\1\151\1\135\1\152\13\135"+
    "\1\142\1\0\3\135\1\150\1\135\1\205\2\135\1\151"+
    "\1\135\1\152\15\135\2\142\6\135\1\147\3\135\1\150"+
    "\5\135\1\151\1\135\1\152\6\135\1\206\4\135\1\142"+
    "\1\0\3\135\1\150\4\135\1\151\1\135\1\152\6\135"+
    "\1\206\4\135\10\0\1\207\72\0\1\173\31\0\1\210"+
    "\26\0\16\142\1\156\5\142\1\157\1\142\1\160\1\211"+
    "\13\142\1\0\3\142\1\156\4\142\1\157\1\142\1\160"+
    "\1\211\30\142\1\156\1\142\1\212\3\142\1\157\1\142"+
    "\1\160\14\142\1\0\3\142\1\156\1\142\1\212\2\142"+
    "\1\157\1\142\1\160\31\142\1\156\5\142\1\157\1\142"+
    "\1\160\6\142\1\213\5\142\1\0\3\142\1\156\4\142"+
    "\1\157\1\142\1\160\6\142\1\213\4\142\42\214\1\0"+
    "\27\214\2\134\2\142\6\134\1\143\3\134\1\144\5\134"+
    "\1\145\1\134\1\146\1\215\12\134\1\142\1\0\3\134"+
    "\1\144\4\134\1\145\1\134\1\146\1\215\14\134\2\142"+
    "\6\134\1\143\3\134\1\144\5\134\1\145\1\134\1\146"+
    "\1\216\12\134\1\142\1\0\3\134\1\144\4\134\1\145"+
    "\1\134\1\146\1\216\14\134\2\142\6\134\1\143\3\134"+
    "\1\144\5\134\1\145\1\134\1\146\6\134\1\217\4\134"+
    "\1\142\1\0\3\134\1\144\4\134\1\145\1\134\1\146"+
    "\6\134\1\217\4\134\2\135\2\142\6\135\1\147\3\135"+
    "\1\150\5\135\1\151\1\135\1\152\1\220\12\135\1\142"+
    "\1\0\3\135\1\150\4\135\1\151\1\135\1\152\1\220"+
    "\14\135\2\142\6\135\1\147\3\135\1\150\5\135\1\151"+
    "\1\135\1\152\1\221\12\135\1\142\1\0\3\135\1\150"+
    "\4\135\1\151\1\135\1\152\1\221\14\135\2\142\6\135"+
    "\1\147\3\135\1\150\5\135\1\151\1\135\1\152\6\135"+
    "\1\222\4\135\1\142\1\0\3\135\1\150\4\135\1\151"+
    "\1\135\1\152\6\135\1\222\4\135\26\0\1\223\27\0"+
    "\1\223\13\0\42\224\1\0\27\224\16\142\1\156\5\142"+
    "\1\157\1\142\1\160\1\225\13\142\1\0\3\142\1\156"+
    "\4\142\1\157\1\142\1\160\1\225\30\142\1\156\5\142"+
    "\1\157\1\142\1\160\1\226\13\142\1\0\3\142\1\156"+
    "\4\142\1\157\1\142\1\160\1\226\30\142\1\156\5\142"+
    "\1\157\1\142\1\160\6\142\1\227\5\142\1\0\3\142"+
    "\1\156\4\142\1\157\1\142\1\160\6\142\1\227\4\142"+
    "\42\214\1\230\27\214\2\134\2\142\6\134\1\143\1\134"+
    "\1\216\1\134\1\144\5\134\1\145\1\134\1\146\13\134"+
    "\1\142\1\0\1\134\1\216\1\134\1\144\4\134\1\145"+
    "\1\134\1\146\13\134\2\216\2\226\6\216\1\231\27\216"+
    "\1\226\1\0\26\216\2\134\2\142\6\134\1\143\3\134"+
    "\1\144\1\134\1\232\3\134\1\145\1\134\1\146\13\134"+
    "\1\142\1\0\3\134\1\144\1\134\1\232\2\134\1\145"+
    "\1\134\1\146\13\134\2\135\2\142\6\135\1\147\1\135"+
    "\1\221\1\135\1\150\5\135\1\151\1\135\1\152\13\135"+
    "\1\142\1\0\1\135\1\221\1\135\1\150\4\135\1\151"+
    "\1\135\1\152\13\135\2\221\2\226\6\221\1\233\27\221"+
    "\1\226\1\0\26\221\2\135\2\142\6\135\1\147\3\135"+
    "\1\150\1\135\1\234\3\135\1\151\1\135\1\152\13\135"+
    "\1\142\1\0\3\135\1\150\1\135\1\234\2\135\1\151"+
    "\1\135\1\152\13\135\25\0\1\235\27\0\1\235\14\0"+
    "\42\224\1\236\27\224\14\142\1\226\1\142\1\156\5\142"+
    "\1\157\1\142\1\160\14\142\1\0\1\142\1\226\1\142"+
    "\1\156\4\142\1\157\1\142\1\160\13\142\12\226\1\237"+
    "\30\226\1\0\26\226\16\142\1\156\1\142\1\240\3\142"+
    "\1\157\1\142\1\160\14\142\1\0\3\142\1\156\1\142"+
    "\1\240\2\142\1\157\1\142\1\160\13\142\10\0\1\241"+
    "\61\0\11\226\1\242\1\237\30\226\1\0\26\226\2\134"+
    "\2\142\6\134\1\143\3\134\1\144\5\134\1\145\1\134"+
    "\1\146\4\134\1\215\6\134\1\142\1\0\3\134\1\144"+
    "\4\134\1\145\1\134\1\146\4\134\1\215\6\134\11\226"+
    "\1\243\1\237\30\226\1\0\26\226\2\135\2\142\6\135"+
    "\1\147\3\135\1\150\5\135\1\151\1\135\1\152\4\135"+
    "\1\220\6\135\1\142\1\0\3\135\1\150\4\135\1\151"+
    "\1\135\1\152\4\135\1\220\6\135\30\0\1\244\27\0"+
    "\1\244\21\0\1\245\61\0\11\226\1\246\1\237\30\226"+
    "\1\0\26\226\16\142\1\156\5\142\1\157\1\142\1\160"+
    "\4\142\1\225\7\142\1\0\3\142\1\156\4\142\1\157"+
    "\1\142\1\160\4\142\1\225\6\142\26\0\1\247\27\0"+
    "\1\247\13\0\11\226\1\242\1\237\30\226\1\250\37\226"+
    "\1\243\1\237\30\226\1\251\26\226\43\0\1\252\54\0"+
    "\1\253\27\0\1\253\13\0\11\226\1\246\1\237\30\226"+
    "\1\254\26\226\25\0\1\255\27\0\1\255\14\0\42\256"+
    "\1\0\27\256\1\0\2\252\1\0\1\257\35\0\1\260"+
    "\54\0\1\261\27\0\1\261\14\0\42\262\1\0\27\262"+
    "\30\0\1\263\27\0\1\263\11\0\42\256\1\264\27\256"+
    "\30\0\1\265\27\0\1\265\37\0\1\266\27\0\1\266"+
    "\43\0\1\267\27\0\1\267\11\0\42\262\1\270\27\262"+
    "\43\0\1\271\36\0\1\272\76\0\1\273\30\0\1\273"+
    "\50\0\1\274\27\0\1\274\57\0\1\275\36\0\1\276"+
    "\62\0\2\271\1\0\1\277\1\0\2\300\2\0\2\300"+
    "\17\0\1\301\6\0\1\302\1\0\1\300\16\0\1\301"+
    "\34\0\1\303\27\0\1\303\47\0\1\304\27\0\1\304"+
    "\35\0\1\305\27\0\1\305\12\0\2\306\1\0\1\307"+
    "\3\306\4\0\1\310\2\0\1\311\10\0\1\312\11\0"+
    "\1\313\1\0\1\306\1\310\2\0\1\311\7\0\1\312"+
    "\37\0\1\314\27\0\1\314\43\0\1\315\27\0\1\315"+
    "\12\0\2\300\1\0\1\316\1\0\2\300\2\0\2\300"+
    "\17\0\1\301\6\0\1\317\1\0\1\300\16\0\1\301"+
    "\26\0\1\320\30\0\1\320\46\0\1\321\27\0\1\321"+
    "\40\0\1\322\27\0\1\322\46\0\1\323\27\0\1\323"+
    "\21\0\1\324\107\0\1\325\27\0\1\325\37\0\1\326"+
    "\1\0\1\327\25\0\1\326\1\0\1\327\35\0\1\330"+
    "\27\0\1\330\46\0\1\331\27\0\1\331\36\0\1\332"+
    "\27\0\1\332\40\0\1\333\27\0\1\333\31\0\1\334"+
    "\30\0\1\334\53\0\1\335\27\0\1\335\37\0\1\336"+
    "\27\0\1\336\41\0\1\337\27\0\1\337\40\0\1\340"+
    "\27\0\1\340\44\0\1\341\27\0\1\341\24\0\1\252"+
    "\110\0\1\342\27\0\1\342\24\0\1\343\30\0\1\343"+
    "\51\0\1\344\27\0\1\344\43\0\1\345\27\0\1\345"+
    "\45\0\1\346\27\0\1\346\40\0\1\347\27\0\1\347"+
    "\33\0\1\350\27\0\1\350\44\0\1\351\27\0\1\351"+
    "\45\0\1\352\27\0\1\352\22\0\1\353\30\0\1\353"+
    "\50\0\1\354\27\0\1\354\30\0\1\355\30\0\1\355"+
    "\54\0\1\356\27\0\1\356\54\0\1\357\42\0\1\360"+
    "\30\0\1\360\60\0\1\361\27\0\1\361\25\0\1\362"+
    "\30\0\1\362\40\0\1\363\30\0\1\363\52\0\1\364"+
    "\27\0\1\364\36\0\1\365\27\0\1\365\42\0\1\366"+
    "\27\0\1\366\54\0\1\367\60\0\1\370\27\0\1\370"+
    "\43\0\1\371\27\0\1\371\35\0\1\372\27\0\1\372"+
    "\52\0\1\373\27\0\1\373\12\0\1\374\60\0\2\357"+
    "\1\0\1\375\1\0\1\357\1\300\2\0\2\300\17\0"+
    "\1\301\6\0\1\302\1\0\1\300\16\0\1\301\41\0"+
    "\1\376\27\0\1\376\40\0\1\377\27\0\1\377\31\0"+
    "\1\u0100\30\0\1\u0100\52\0\1\u0101\27\0\1\u0101\36\0"+
    "\1\u0102\27\0\1\u0102\30\0\1\u0103\30\0\1\u0103\32\0"+
    "\1\u0104\60\0\2\367\1\0\1\u0105\1\0\1\367\33\0"+
    "\1\u0106\42\0\1\271\110\0\1\u0107\27\0\1\u0107\21\0"+
    "\1\u0108\103\0\1\u0109\27\0\1\u0109\47\0\1\33\1\0"+
    "\1\u010a\25\0\1\33\1\0\1\u010a\35\0\1\u010b\27\0"+
    "\1\u010b\46\0\1\u010c\27\0\1\u010c\17\0\1\306\72\0"+
    "\1\u010d\30\0\1\u010d\60\0\1\u010e\27\0\1\u010e\41\0"+
    "\1\u010f\27\0\1\u010f\6\0\2\u0103\1\0\1\u0110\7\0"+
    "\1\u0111\30\0\1\u0111\44\0\1\u0112\5\0\1\u0113\1\u0114"+
    "\3\0\1\u0115\1\u0116\14\0\1\u0112\4\0\1\u0113\1\u0114"+
    "\3\0\1\u0115\1\u0116\35\0\1\u0117\27\0\1\u0117\37\0"+
    "\1\u0118\27\0\1\u0118\26\0\1\300\110\0\1\33\1\0"+
    "\1\u0119\25\0\1\33\1\0\1\u0119\36\0\1\u011a\27\0"+
    "\1\u011a\45\0\1\u011b\27\0\1\u011b\21\0\1\u011c\30\0"+
    "\1\u011c\47\0\1\u011d\27\0\1\u011d\52\0\1\u010e\27\0"+
    "\1\u010e\20\0\1\u011e\3\0\1\u011e\3\0\1\u011e\4\0"+
    "\1\u011e\13\0\1\u011e\3\0\1\u011e\2\0\1\u011e\4\0"+
    "\1\u011e\34\0\1\u011f\27\0\1\u011f\45\0\1\u0120\27\0"+
    "\1\u0120\43\0\1\u0121\27\0\1\u0121\45\0\1\u0122\27\0"+
    "\1\u0122\23\0\1\u0123\30\0\1\u0123\44\0\1\u0124\27\0"+
    "\1\u0124\35\0\1\u0125\30\0\1\u0125\55\0\1\u0126\27\0"+
    "\1\u0126\21\0\1\u0127\30\0\1\u0127\50\0\1\u0128\27\0"+
    "\1\u0128\51\0\1\u0129\27\0\1\u0129\34\0\1\u012a\27\0"+
    "\1\u012a\43\0\1\u012b\27\0\1\u012b\43\0\1\u012c\27\0"+
    "\1\u012c\42\0\1\u012d\27\0\1\u012d\5\0\2\u011e\1\0"+
    "\1\u012e\3\u011e\7\0\1\311\10\0\1\312\11\0\1\u012f"+
    "\1\0\1\u011e\3\0\1\311\7\0\1\312\52\0\1\u0130"+
    "\27\0\1\u0130\15\0\1\u0131\30\0\1\u0131\55\0\1\u0132"+
    "\27\0\1\u0132\53\0\1\u0133\47\0\1\u0134\30\0\1\u0134"+
    "\52\0\1\u0135\27\0\1\u0135\26\0\1\u0136\30\0\1\u0136"+
    "\51\0\1\u0137\27\0\1\u0137\43\0\1\u0138\27\0\1\u0138"+
    "\35\0\1\u0139\27\0\1\u0139\43\0\1\u013a\27\0\1\u013a"+
    "\27\0\1\300\30\0\1\300\60\0\1\u013b\27\0\1\u013b"+
    "\33\0\1\u013c\27\0\1\u013c\33\0\1\u013d\27\0\1\u013d"+
    "\45\0\1\u013e\27\0\1\u013e\37\0\1\u013f\27\0\1\u013f"+
    "\37\0\1\u0140\27\0\1\u0140\51\0\1\u0141\27\0\1\u0141"+
    "\40\0\1\u0142\27\0\1\u0142\34\0\1\u0113\27\0\1\u0113"+
    "\57\0\1\u0143\43\0\1\u0144\30\0\1\u0144\34\0\1\u0145"+
    "\117\0\1\u0146\27\0\1\u0146\33\0\1\u0147\27\0\1\u0147"+
    "\21\0\1\u0148\117\0\1\u0149\27\0\1\u0149\13\0\1\u014a"+
    "\72\0\1\357\107\0\1\u014b\27\0\1\u014b\25\0\1\u014c"+
    "\30\0\1\u014c\50\0\1\u014d\27\0\1\u014d\45\0\1\u014e"+
    "\27\0\1\u014e\42\0\1\u014f\27\0\1\u014f\40\0\1\u0150"+
    "\27\0\1\u0150\43\0\1\u0115\27\0\1\u0115\20\0\1\u0151"+
    "\57\0\2\u0145\2\0\6\u0145\1\u0152\27\u0145\2\0\26\u0145"+
    "\12\0\1\u0153\72\0\1\367\112\0\1\u0154\27\0\1\u0154"+
    "\17\0\1\u0155\57\0\2\u0155\2\0\6\u0155\1\u0156\16\u0155"+
    "\1\u0157\10\u0155\2\0\15\u0155\1\u0157\10\u0155\30\0\1\u0158"+
    "\27\0\1\u0158\45\0\1\u0159\27\0\1\u0159\35\0\1\u015a"+
    "\27\0\1\u015a\41\0\1\u015b\27\0\1\u015b\24\0\1\u0103"+
    "\115\0\1\u015c\27\0\1\u015c\2\0\2\u015d\2\0\6\u015d"+
    "\1\u015e\21\u015d\1\u015f\5\u015d\2\0\20\u015d\1\u015f\5\u015d"+
    "\11\0\1\u0160\60\0\2\u0153\2\0\6\u0153\1\u0161\27\u0153"+
    "\2\0\26\u0153\35\0\1\u0162\27\0\1\u0162\4\0\2\u0155"+
    "\2\0\6\u0155\1\u0156\27\u0155\2\0\26\u0155\11\0\1\u0163"+
    "\60\0\2\u0155\2\0\6\u0155\1\u0156\6\u0155\1\u0164\20\u0155"+
    "\2\0\6\u0155\1\u0164\17\u0155\12\0\1\u0165\111\0\1\u0166"+
    "\27\0\1\u0166\21\0\1\u0167\103\0\1\u0103\27\0\1\u0103"+
    "\31\0\1\u0168\30\0\1\u0168\24\0\2\u015d\2\0\6\u015d"+
    "\1\u015e\27\u015d\2\0\26\u015d\11\0\1\u0169\60\0\2\u015d"+
    "\2\0\6\u015d\1\u015e\1\u015d\1\u016a\25\u015d\2\0\1\u015d"+
    "\1\u016a\24\u015d\11\0\1\u0160\31\0\1\u016b\37\0\1\u016c"+
    "\112\0\1\u016d\27\0\1\u016d\20\0\1\u0163\31\0\1\u016e"+
    "\26\0\2\u0155\2\0\6\u0155\1\u016f\27\u0155\2\0\26\u0155"+
    "\2\u0165\2\0\6\u0165\1\u0170\27\u0165\2\0\26\u0165\13\0"+
    "\1\u011e\76\0\1\u0112\5\0\1\u0113\1\u0114\3\0\1\u0115"+
    "\1\u0171\14\0\1\u0112\4\0\1\u0113\1\u0114\3\0\1\u0115"+
    "\1\u0171\42\0\1\u0172\27\0\1\u0172\15\0\1\u0169\31\0"+
    "\1\u0173\26\0\2\u015d\2\0\6\u015d\1\u015e\14\u015d\1\u0174"+
    "\12\u015d\2\0\13\u015d\1\u0174\12\u015d\42\u0175\1\0\27\u0175"+
    "\11\0\1\u016c\31\0\1\u0176\66\0\1\u0177\27\0\1\u0177"+
    "\1\0\42\u0178\1\0\27\u0178\11\0\1\u0179\71\0\1\u017a"+
    "\115\0\1\u017b\27\0\1\u017b\24\0\1\u017c\30\0\1\u017c"+
    "\20\0\42\u017d\1\0\27\u017d\2\u015d\2\0\6\u015d\1\u015e"+
    "\5\u015d\1\u017e\21\u015d\2\0\5\u015d\1\u017e\20\u015d\42\u0175"+
    "\1\u017f\27\u0175\42\u0180\1\0\27\u0180\12\0\1\u0181\57\0"+
    "\42\u0178\1\u0182\27\u0178\11\0\1\u0179\31\0\1\u0183\37\0"+
    "\1\u017a\31\0\1\u0184\60\0\1\u0185\27\0\1\u0185\10\0"+
    "\2\u017c\1\0\1\u0186\3\u017c\32\0\1\u0187\1\0\1\u017c"+
    "\25\0\42\u017d\1\u0188\27\u017d\2\u015d\2\0\6\u015d\1\u0189"+
    "\27\u015d\2\0\26\u015d\10\0\1\u018a\61\0\42\u0180\1\u018b"+
    "\27\u0180\31\0\1\u018c\27\0\1\u018c\20\0\1\u018d\61\0"+
    "\42\u018e\1\0\27\u018e\42\u018f\1\0\27\u018f\40\0\1\u0190"+
    "\27\0\1\u0190\31\0\1\u0191\27\0\1\u0191\37\0\1\u0192"+
    "\27\0\1\u0192\23\0\1\u0193\72\0\1\u0194\106\0\1\u0195"+
    "\27\0\1\u0195\23\0\1\u0196\102\0\1\u0197\30\0\1\u0197"+
    "\45\0\1\u0198\27\0\1\u0198\13\0\42\u018e\1\u0199\27\u018e"+
    "\42\u018f\1\u019a\27\u018f\12\0\1\u019b\74\0\1\u019c\30\0"+
    "\1\u019c\50\0\1\u019d\27\0\1\u019d\42\0\1\u019e\27\0"+
    "\1\u019e\24\0\1\u0194\31\0\1\u019f\53\0\1\u01a0\27\0"+
    "\1\u01a0\42\0\1\u01a1\27\0\1\u01a1\25\0\1\u01a2\104\0"+
    "\1\u01a3\27\0\1\u01a3\24\0\1\u01a4\71\0\1\u01a5\61\0"+
    "\2\u019b\2\0\6\u019b\1\u01a6\27\u019b\2\0\26\u019b\34\0"+
    "\1\u01a7\27\0\1\u01a7\35\0\1\u01a8\27\0\1\u01a8\36\0"+
    "\1\u01a9\27\0\1\u01a9\14\0\42\u01aa\1\0\27\u01aa\30\0"+
    "\1\u01ab\27\0\1\u01ab\36\0\1\u01ac\27\0\1\u01ac\25\0"+
    "\1\u01ad\110\0\1\u01ae\27\0\1\u01ae\37\0\1\u01af\27\0"+
    "\1\u01af\41\0\1\u01b0\27\0\1\u01b0\24\0\1\u01b1\112\0"+
    "\1\u01b2\27\0\1\u01b2\21\0\1\u01b3\107\0\1\u01b4\27\0"+
    "\1\u01b4\11\0\42\u01aa\1\u01b5\27\u01aa\43\0\1\u01b6\56\0"+
    "\1\u01b7\27\0\1\u01b7\22\0\1\u01ad\31\0\1\u01b8\71\0"+
    "\1\300\53\0\1\u01b9\27\0\1\u01b9\41\0\1\u01ba\27\0"+
    "\1\u01ba\25\0\1\u01b1\31\0\1\u01bb\41\0\1\u017c\76\0"+
    "\1\u0112\5\0\1\u0113\1\u0114\3\0\1\u0115\1\u01bc\14\0"+
    "\1\u0112\4\0\1\u0113\1\u0114\3\0\1\u0115\1\u01bc\50\0"+
    "\1\u01bd\36\0\1\u01be\124\0\1\306\26\0\42\u01bf\1\0"+
    "\27\u01bf\30\0\1\u01c0\27\0\1\u01c0\41\0\1\u01c1\27\0"+
    "\1\u01c1\11\0\42\u01c2\1\0\27\u01c2\35\0\1\u01c3\27\0"+
    "\1\u01c3\5\0\2\u01bd\1\0\1\u01c4\3\u01bd\32\0\1\u01c5"+
    "\1\0\1\u01bd\53\0\1\u01c6\27\0\1\u01c6\13\0\42\u01bf"+
    "\1\u01c7\27\u01bf\43\0\1\u01c8\71\0\1\u01c9\26\0\42\u01c2"+
    "\1\u01ca\27\u01c2\32\0\1\u01cb\27\0\1\u01cb\37\0\1\u01cc"+
    "\27\0\1\u01cc\37\0\1\u01cd\27\0\1\u01cd\40\0\1\u01ce"+
    "\27\0\1\u01ce\24\0\1\u01cf\62\0\2\u01c8\1\0\1\u01d0"+
    "\1\u01d1\2\u01d2\2\0\2\300\1\u01d3\2\0\1\u01d4\10\0"+
    "\1\u01d5\2\0\1\301\6\0\1\u01d6\1\0\1\u01d2\1\u01d3"+
    "\2\0\1\u01d4\7\0\1\u01d5\2\0\1\301\7\0\2\u01c9"+
    "\1\0\1\u01d7\1\0\1\u01c9\1\u01d8\2\0\2\u01d8\17\0"+
    "\1\u01d9\6\0\1\u01da\1\0\1\u01d8\16\0\1\u01d9\16\0"+
    "\1\u01db\121\0\1\u01dc\27\0\1\u01dc\16\0\1\u01dd\30\0"+
    "\1\u01dd\50\0\1\u01de\27\0\1\u01de\44\0\1\u01df\27\0"+
    "\1\u01df\37\0\1\u01e0\27\0\1\u01e0\43\0\1\u01e1\27\0"+
    "\1\u01e1\12\0\2\u01d1\1\0\1\u01e2\3\u01d1\4\0\1\u01d3"+
    "\2\0\1\u01d4\10\0\1\u01d5\11\0\1\u01e3\1\0\1\u01d1"+
    "\1\u01d3\2\0\1\u01d4\7\0\1\u01d5\12\0\2\u01d2\1\0"+
    "\1\u01e4\1\u01d1\2\u01d2\2\0\2\300\1\u01d3\2\0\1\u01d4"+
    "\10\0\1\u01d5\2\0\1\301\6\0\1\u01e5\1\0\1\u01d2"+
    "\1\u01d3\2\0\1\u01d4\7\0\1\u01d5\2\0\1\301\34\0"+
    "\1\u01e6\1\0\1\u01e7\25\0\1\u01e6\1\0\1\u01e7\35\0"+
    "\1\u01e8\27\0\1\u01e8\46\0\1\u01e9\27\0\1\u01e9\36\0"+
    "\1\u01ea\27\0\1\u01ea\43\0\1\u01eb\27\0\1\u01eb\12\0"+
    "\2\u01d8\1\0\1\u01ec\1\0\2\u01d8\2\0\2\u01d8\17\0"+
    "\1\u01d9\6\0\1\u01ed\1\0\1\u01d8\16\0\1\u01d9\26\0"+
    "\1\u01ee\30\0\1\u01ee\46\0\1\u01ef\27\0\1\u01ef\41\0"+
    "\1\u01f0\27\0\1\u01f0\25\0\1\u01f1\113\0\1\u01f2\27\0"+
    "\1\u01f2\35\0\1\u01f3\27\0\1\u01f3\54\0\1\u01f4\53\0"+
    "\1\u01f5\27\0\1\u01f5\31\0\1\u01f6\30\0\1\u01f6\53\0"+
    "\1\u01f7\27\0\1\u01f7\37\0\1\u01f8\27\0\1\u01f8\43\0"+
    "\1\u01f9\27\0\1\u01f9\37\0\1\u01fa\27\0\1\u01fa\41\0"+
    "\1\u01fb\27\0\1\u01fb\43\0\1\u01fc\27\0\1\u01fc\45\0"+
    "\1\u01fd\27\0\1\u01fd\40\0\1\u01fe\27\0\1\u01fe\33\0"+
    "\1\u01ff\27\0\1\u01ff\31\0\1\u0200\30\0\1\u0200\53\0"+
    "\1\u0201\27\0\1\u0201\37\0\1\u0202\27\0\1\u0202\41\0"+
    "\1\u0203\27\0\1\u0203\40\0\1\u0204\27\0\1\u0204\41\0"+
    "\1\u0205\27\0\1\u0205\14\0\2\u01f1\2\0\6\u01f1\1\u0206"+
    "\27\u01f1\2\0\26\u01f1\32\0\1\u0207\27\0\1\u0207\21\0"+
    "\1\u0208\60\0\2\u01f4\1\0\1\u0209\3\u01f4\32\0\1\u020a"+
    "\1\0\1\u01f4\55\0\1\u020b\27\0\1\u020b\45\0\1\u020c"+
    "\27\0\1\u020c\22\0\1\u020d\30\0\1\u020d\50\0\1\u020e"+
    "\27\0\1\u020e\31\0\1\u020f\30\0\1\u020f\50\0\1\u0210"+
    "\27\0\1\u0210\34\0\1\u0211\30\0\1\u0211\40\0\1\u0212"+
    "\30\0\1\u0212\52\0\1\u0213\27\0\1\u0213\36\0\1\u0214"+
    "\27\0\1\u0214\42\0\1\u0215\27\0\1\u0215\45\0\1\u0216"+
    "\27\0\1\u0216\22\0\1\u0217\30\0\1\u0217\50\0\1\u0218"+
    "\27\0\1\u0218\30\0\1\u0219\30\0\1\u0219\54\0\1\u021a"+
    "\27\0\1\u021a\41\0\1\u021b\27\0\1\u021b\22\0\1\u021c"+
    "\73\0\1\u01bd\76\0\1\u0112\5\0\1\u0113\4\0\1\u0115"+
    "\1\u021d\14\0\1\u0112\4\0\1\u0113\4\0\1\u0115\1\u021d"+
    "\35\0\1\u021e\27\0\1\u021e\37\0\1\u021f\27\0\1\u021f"+
    "\56\0\1\u0220\60\0\1\u0221\27\0\1\u0221\43\0\1\u0222"+
    "\27\0\1\u0222\35\0\1\u0223\27\0\1\u0223\45\0\1\u0224"+
    "\27\0\1\u0224\35\0\1\u0225\27\0\1\u0225\33\0\1\u0226"+
    "\30\0\1\u0226\52\0\1\u0227\27\0\1\u0227\36\0\1\u0228"+
    "\27\0\1\u0228\30\0\1\u0229\30\0\1\u0229\32\0\1\u022a"+
    "\111\0\1\u022b\27\0\1\u022b\43\0\1\u022c\27\0\1\u022c"+
    "\35\0\1\u022d\27\0\1\u022d\52\0\1\u022e\27\0\1\u022e"+
    "\12\0\1\u022f\122\0\1\u011e\37\0\1\u021c\31\0\1\u0230"+
    "\63\0\1\u0231\27\0\1\u0231\21\0\1\u0232\30\0\1\u0232"+
    "\50\0\1\u0233\27\0\1\u0233\15\0\2\u0220\1\0\1\u0234"+
    "\3\u01d1\4\0\1\u01d3\2\0\1\u01d4\10\0\1\u01d5\11\0"+
    "\1\u0235\1\0\1\u01d1\1\u01d3\2\0\1\u01d4\7\0\1\u01d5"+
    "\24\0\1\u01c8\110\0\1\u0236\27\0\1\u0236\21\0\1\u0237"+
    "\111\0\1\u0238\27\0\1\u0238\21\0\1\u0239\73\0\1\u023a"+
    "\30\0\1\u023a\60\0\1\u023b\27\0\1\u023b\41\0\1\u023c"+
    "\27\0\1\u023c\6\0\2\u0229\1\0\1\u023d\7\0\1\u023e"+
    "\30\0\1\u023e\44\0\1\u023f\5\0\1\u0240\1\u0241\2\0"+
    "\1\33\1\u0242\1\u0243\14\0\1\u023f\4\0\1\u0240\1\u0241"+
    "\2\0\1\33\1\u0242\1\u0243\20\0\1\u01c9\110\0\1\u0244"+
    "\27\0\1\u0244\21\0\1\u0245\103\0\1\u0246\27\0\1\u0246"+
    "\35\0\1\u0247\5\0\1\u0248\3\0\1\342\1\u0249\1\u024a"+
    "\14\0\1\u0247\4\0\1\u0248\3\0\1\342\1\u0249\1\u024a"+
    "\5\0\42\u024b\1\0\27\u024b\32\0\1\u024c\27\0\1\u024c"+
    "\43\0\1\u024d\27\0\1\u024d\35\0\1\u024e\27\0\1\u024e"+
    "\41\0\1\u024f\27\0\1\u024f\37\0\1\u0250\27\0\1\u0250"+
    "\26\0\1\u01d1\104\0\1\u0240\1\u0241\3\0\1\u0242\1\u0251"+
    "\21\0\1\u0240\1\u0241\3\0\1\u0242\1\u0251\20\0\1\u01d2"+
    "\104\0\1\u0240\1\u0241\2\0\1\33\1\u0242\1\u0243\21\0"+
    "\1\u0240\1\u0241\2\0\1\33\1\u0242\1\u0243\42\0\1\u023b"+
    "\27\0\1\u023b\20\0\1\u0252\3\0\1\u0252\3\0\1\u0252"+
    "\4\0\1\u0252\13\0\1\u0252\3\0\1\u0252\2\0\1\u0252"+
    "\4\0\1\u0252\34\0\1\u0253\27\0\1\u0253\45\0\1\u0254"+
    "\27\0\1\u0254\43\0\1\u0255\27\0\1\u0255\45\0\1\u0256"+
    "\27\0\1\u0256\23\0\1\u0257\30\0\1\u0257\44\0\1\u0258"+
    "\27\0\1\u0258\35\0\1\u0259\30\0\1\u0259\55\0\1\u025a"+
    "\27\0\1\u025a\17\0\1\u01d8\110\0\1\342\1\0\1\u024a"+
    "\25\0\1\342\1\0\1\u024a\36\0\1\u025b\27\0\1\u025b"+
    "\46\0\1\u025c\27\0\1\u025c\23\0\1\u025d\30\0\1\u025d"+
    "\40\0\1\u025e\30\0\1\u025e\55\0\1\u025f\27\0\1\u025f"+
    "\4\0\42\u024b\1\u0260\27\u024b\40\0\1\u0261\27\0\1\u0261"+
    "\33\0\1\u0262\27\0\1\u0262\21\0\1\u0263\74\0\1\u0264"+
    "\30\0\1\u0264\50\0\1\u0265\27\0\1\u0265\51\0\1\u0266"+
    "\27\0\1\u0266\5\0\2\u0252\1\0\1\u0267\3\u0252\7\0"+
    "\1\u01d4\10\0\1\u01d5\11\0\1\u0268\1\0\1\u0252\3\0"+
    "\1\u01d4\7\0\1\u01d5\52\0\1\u0269\27\0\1\u0269\15\0"+
    "\1\u026a\30\0\1\u026a\55\0\1\u026b\27\0\1\u026b\53\0"+
    "\1\u026c\47\0\1\u026d\30\0\1\u026d\52\0\1\u026e\27\0"+
    "\1\u026e\26\0\1\u026f\30\0\1\u026f\51\0\1\u0270\27\0"+
    "\1\u0270\37\0\1\u0271\27\0\1\u0271\55\0\1\u0272\47\0"+
    "\1\u0273\30\0\1\u0273\37\0\1\u0274\30\0\1\u0274\51\0"+
    "\1\u0275\27\0\1\u0275\17\0\1\u0276\73\0\1\u015d\72\0"+
    "\1\u01f4\76\0\1\u0112\5\0\1\u0113\1\u0277\3\0\1\u0115"+
    "\1\u0278\14\0\1\u0112\4\0\1\u0113\1\u0277\3\0\1\u0115"+
    "\1\u0278\41\0\1\u0279\27\0\1\u0279\35\0\1\u027a\27\0"+
    "\1\u027a\43\0\1\u027b\27\0\1\u027b\37\0\1\u027c\27\0"+
    "\1\u027c\37\0\1\u027d\27\0\1\u027d\37\0\1\u027e\27\0"+
    "\1\u027e\51\0\1\u027f\27\0\1\u027f\40\0\1\u0280\27\0"+
    "\1\u0280\34\0\1\u0281\27\0\1\u0281\57\0\1\u0282\43\0"+
    "\1\u0283\30\0\1\u0283\34\0\1\u0284\117\0\1\u0285\27\0"+
    "\1\u0285\21\0\1\u01d8\30\0\1\u01d8\46\0\1\u0286\27\0"+
    "\1\u0286\57\0\1\u0287\37\0\1\u0288\117\0\1\u0289\27\0"+
    "\1\u0289\27\0\1\u028a\27\0\1\u028a\37\0\1\u028b\27\0"+
    "\1\u028b\52\0\1\u028c\27\0\1\u028c\36\0\1\u028d\27\0"+
    "\1\u028d\21\0\1\u028e\117\0\1\u028f\27\0\1\u028f\16\0"+
    "\1\u0290\30\0\1\u0290\50\0\1\u0291\27\0\1\u0291\45\0"+
    "\1\u0292\27\0\1\u0292\42\0\1\u0293\27\0\1\u0293\40\0"+
    "\1\u0294\27\0\1\u0294\30\0\1\u0295\30\0\1\u0295\53\0"+
    "\1\u0242\27\0\1\u0242\20\0\1\u0296\57\0\2\u0284\2\0"+
    "\6\u0284\1\u0297\27\u0284\2\0\26\u0284\12\0\1\u0298\77\0"+
    "\1\u0299\30\0\1\u0299\53\0\1\u0249\27\0\1\u0249\6\0"+
    "\2\u0288\2\0\6\u0288\1\u029a\27\u0288\2\0\26\u0288\12\0"+
    "\1\u029b\104\0\1\u029c\27\0\1\u029c\50\0\1\u029d\27\0"+
    "\1\u029d\37\0\1\u029e\27\0\1\u029e\22\0\1\u0220\76\0"+
    "\1\u023f\5\0\1\u0240\1\u0241\3\0\1\u0242\1\u0251\14\0"+
    "\1\u023f\4\0\1\u0240\1\u0241\3\0\1\u0242\1\u0251\17\0"+
    "\1\u029f\113\0\1\u02a0\27\0\1\u02a0\35\0\1\u02a1\27\0"+
    "\1\u02a1\41\0\1\u02a2\27\0\1\u02a2\24\0\1\u0229\115\0"+
    "\1\u02a3\27\0\1\u02a3\24\0\1\u02a4\30\0\1\u02a4\16\0"+
    "\2\u02a5\2\0\6\u02a5\1\u02a6\21\u02a5\1\u02a7\5\u02a5\2\0"+
    "\20\u02a5\1\u02a7\5\u02a5\11\0\1\u02a8\60\0\2\u0298\2\0"+
    "\6\u0298\1\u02a9\27\u0298\2\0\26\u0298\22\0\1\u02aa\30\0"+
    "\1\u02aa\27\0\1\u02ab\60\0\2\u029b\2\0\6\u029b\1\u02ac"+
    "\27\u029b\2\0\26\u029b\30\0\1\u02ad\27\0\1\u02ad\27\0"+
    "\1\u0261\30\0\1\u0261\62\0\1\u02ae\27\0\1\u02ae\1\0"+
    "\2\u029f\2\0\6\u029f\1\u02af\27\u029f\2\0\26\u029f\32\0"+
    "\1\u02b0\27\0\1\u02b0\21\0\1\u02b1\103\0\1\u0229\27\0"+
    "\1\u0229\31\0\1\u02b2\30\0\1\u02b2\70\0\1\u02b3\25\0"+
    "\2\u02a5\2\0\6\u02a5\1\u02a6\27\u02a5\2\0\26\u02a5\11\0"+
    "\1\u02b4\60\0\2\u02a5\2\0\6\u02a5\1\u02a6\1\u02a5\1\u02b5"+
    "\25\u02a5\2\0\1\u02a5\1\u02b5\24\u02a5\11\0\1\u02a8\31\0"+
    "\1\u02b6\37\0\1\u02b7\124\0\1\u02b8\36\0\1\u02ab\31\0"+
    "\1\u02b9\37\0\1\u02ba\123\0\1\u017c\40\0\1\u02bb\70\0"+
    "\1\u02bc\73\0\1\u0252\104\0\1\u0240\1\u0241\3\0\1\u0242"+
    "\1\u02bd\21\0\1\u0240\1\u0241\3\0\1\u0242\1\u02bd\42\0"+
    "\1\u02be\27\0\1\u02be\37\0\1\u02bf\27\0\1\u02bf\17\0"+
    "\1\u02b4\31\0\1\u02c0\26\0\2\u02a5\2\0\6\u02a5\1\u02a6"+
    "\14\u02a5\1\u02c1\12\u02a5\2\0\13\u02a5\1\u02c1\12\u02a5\42\u02c2"+
    "\1\0\27\u02c2\11\0\1\u02b7\31\0\1\u02c3\61\0\1\u02c4"+
    "\27\0\1\u02c4\6\0\42\u02c5\1\0\27\u02c5\11\0\1\u02ba"+
    "\31\0\1\u02c6\26\0\2\u02bb\2\0\6\u02bb\1\u0189\27\u02bb"+
    "\2\0\26\u02bb\11\0\1\u02bc\31\0\1\u02c7\63\0\1\u02c8"+
    "\27\0\1\u02c8\24\0\1\u02c9\30\0\1\u02c9\40\0\1\u02ca"+
    "\30\0\1\u02ca\20\0\42\u02cb\1\0\27\u02cb\2\u02a5\2\0"+
    "\6\u02a5\1\u02a6\5\u02a5\1\u02cc\21\u02a5\2\0\5\u02a5\1\u02cc"+
    "\20\u02a5\42\u02c2\1\u02cd\27\u02c2\42\u02ce\1\0\27\u02ce\20\0"+
    "\1\u02cf\30\0\1\u02cf\20\0\42\u02c5\1\u02d0\27\u02c5\42\u02d1"+
    "\1\0\27\u02d1\42\u02d2\1\0\27\u02d2\32\0\1\u02d3\27\0"+
    "\1\u02d3\10\0\2\u02c9\1\0\1\u02d4\3\u02c9\32\0\1\u02d5"+
    "\1\0\1\u02c9\46\0\1\u02d6\30\0\1\u02d6\17\0\42\u02cb"+
    "\1\u02d7\27\u02cb\2\u02a5\2\0\6\u02a5\1\u02d8\27\u02a5\2\0"+
    "\26\u02a5\10\0\1\u02d9\61\0\42\u02ce\1\u02da\27\u02ce\21\0"+
    "\1\u02db\30\0\1\u02db\27\0\1\u02dc\61\0\42\u02d1\1\u02dd"+
    "\27\u02d1\42\u02d2\1\u02de\27\u02d2\40\0\1\u02df\27\0\1\u02df"+
    "\31\0\1\u02e0\27\0\1\u02e0\37\0\1\u02e1\27\0\1\u02e1"+
    "\25\0\1\u02e2\67\0\1\u02e3\72\0\1\u02e4\106\0\1\u02e5"+
    "\27\0\1\u02e5\23\0\1\u02e6\73\0\1\u02e7\105\0\1\u02e8"+
    "\27\0\1\u02e8\23\0\1\u02e9\71\0\1\u02ea\73\0\1\u02eb"+
    "\74\0\1\u02ec\30\0\1\u02ec\50\0\1\u02ed\27\0\1\u02ed"+
    "\14\0\2\u02e2\2\0\6\u02e2\1\u02ee\27\u02e2\2\0\26\u02e2"+
    "\26\0\1\u02ef\27\0\1\u02ef\24\0\1\u02e4\31\0\1\u02f0"+
    "\53\0\1\u02f1\27\0\1\u02f1\42\0\1\u02f2\27\0\1\u02f2"+
    "\13\0\2\u02e7\2\0\6\u02e7\1\u02f3\27\u02e7\2\0\26\u02e7"+
    "\25\0\1\u02f4\27\0\1\u02f4\42\0\1\u02f5\27\0\1\u02f5"+
    "\41\0\1\u02f6\27\0\1\u02f6\13\0\2\u02eb\2\0\6\u02eb"+
    "\1\u02f7\27\u02eb\2\0\26\u02eb\34\0\1\u02f8\27\0\1\u02f8"+
    "\35\0\1\u02f9\27\0\1\u02f9\22\0\1\u02fa\105\0\1\u02fb"+
    "\27\0\1\u02fb\14\0\42\u02fc\1\0\27\u02fc\30\0\1\u02fd"+
    "\27\0\1\u02fd\36\0\1\u02fe\27\0\1\u02fe\25\0\1\u02ff"+
    "\110\0\1\u0300\27\0\1\u0300\36\0\1\u0301\27\0\1\u0301"+
    "\41\0\1\u0302\27\0\1\u0302\25\0\1\u0303\112\0\1\u0304"+
    "\27\0\1\u0304\21\0\1\u0305\70\0\1\u02fa\31\0\1\u0306"+
    "\56\0\1\u0307\27\0\1\u0307\11\0\42\u02fc\1\u0308\27\u02fc"+
    "\43\0\1\u0309\56\0\1\u030a\27\0\1\u030a\22\0\1\u02ff"+
    "\31\0\1\u030b\71\0\1\u030c\56\0\1\u030d\27\0\1\u030d"+
    "\41\0\1\u030e\27\0\1\u030e\22\0\1\u0303\31\0\1\u030f"+
    "\41\0\1\u02c9\104\0\1\u0240\1\u0241\3\0\1\u0242\1\u0310"+
    "\21\0\1\u0240\1\u0241\3\0\1\u0242\1\u0310\5\0\42\u0311"+
    "\1\0\27\u0311\43\0\1\u0312\36\0\1\u0313\124\0\1\u01d2"+
    "\26\0\42\u0314\1\0\27\u0314\43\0\1\u01d8\71\0\1\u01d1"+
    "\26\0\42\u0315\1\0\27\u0315\35\0\1\u0316\27\0\1\u0316"+
    "\4\0\42\u0311\1\u0317\27\u0311\1\0\2\u0312\1\0\1\u0318"+
    "\3\u0312\32\0\1\u0319\1\0\1\u0312\53\0\1\u031a\27\0"+
    "\1\u031a\13\0\42\u0314\1\u031b\27\u0314\42\u0315\1\u031c\27\u0315"+
    "\32\0\1\u031d\27\0\1\u031d\17\0\1\u031e\111\0\1\u031f"+
    "\27\0\1\u031f\37\0\1\u0320\27\0\1\u0320\40\0\1\u0321"+
    "\27\0\1\u0321\24\0\1\u0322\71\0\1\u0323\121\0\1\u0324"+
    "\27\0\1\u0324\27\0\1\u0325\27\0\1\u0325\30\0\1\u0326"+
    "\30\0\1\u0326\50\0\1\u0327\27\0\1\u0327\44\0\1\u0328"+
    "\27\0\1\u0328\37\0\1\u0329\27\0\1\u0329\41\0\1\u032a"+
    "\27\0\1\u032a\25\0\1\u032b\104\0\1\u032c\27\0\1\u032c"+
    "\50\0\1\u032d\27\0\1\u032d\35\0\1\u032e\27\0\1\u032e"+
    "\54\0\1\u032f\53\0\1\u0330\27\0\1\u0330\41\0\1\u0331"+
    "\27\0\1\u0331\14\0\2\u032b\2\0\6\u032b\1\u0332\27\u032b"+
    "\2\0\26\u032b\30\0\1\u0333\27\0\1\u0333\43\0\1\u0334"+
    "\27\0\1\u0334\21\0\1\u0335\60\0\2\u032f\1\0\1\u0336"+
    "\3\u032f\32\0\1\u0337\1\0\1\u032f\55\0\1\u0338\27\0"+
    "\1\u0338\41\0\1\u0339\27\0\1\u0339\22\0\1\u033a\123\0"+
    "\1\u033b\41\0\1\u0312\104\0\1\u0240\4\0\1\u0242\1\u033c"+
    "\21\0\1\u0240\4\0\1\u0242\1\u033c\35\0\1\u033d\27\0"+
    "\1\u033d\37\0\1\u033e\27\0\1\u033e\56\0\1\u033f\71\0"+
    "\1\u0252\37\0\1\u033a\31\0\1\u0340\63\0\1\u0341\27\0"+
    "\1\u0341\21\0\1\u0342\30\0\1\u0342\50\0\1\u0343\27\0"+
    "\1\u0343\14\0\42\u0344\1\0\27\u0344\32\0\1\u0345\27\0"+
    "\1\u0345\43\0\1\u0346\27\0\1\u0346\35\0\1\u0347\27\0"+
    "\1\u0347\11\0\42\u0344\1\u0348\27\u0344\40\0\1\u0349\27\0"+
    "\1\u0349\33\0\1\u034a\27\0\1\u034a\21\0\1\u034b\67\0"+
    "\1\u034c\73\0\1\u02a5\72\0\1\u032f\104\0\1\u0240\1\u034d"+
    "\3\0\1\u0242\1\u034e\21\0\1\u0240\1\u034d\3\0\1\u0242"+
    "\1\u034e\33\0\1\u034f\27\0\1\u034f\37\0\1\u0350\27\0"+
    "\1\u0350\52\0\1\u0351\27\0\1\u0351\31\0\1\u0352\27\0"+
    "\1\u0352\50\0\1\u0353\27\0\1\u0353\37\0\1\u0354\27\0"+
    "\1\u0354\37\0\1\u0355\27\0\1\u0355\27\0\1\u0349\30\0"+
    "\1\u0349\62\0\1\u0356\27\0\1\u0356\44\0\1\u02c9\40\0"+
    "\1\u0357\57\0\2\u0357\2\0\6\u0357\1\u02d8\27\u0357\2\0"+
    "\26\u0357";

  private static int [] zzUnpacktrans() {
    int [] result = new int[48720];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\4\0\1\11\1\1\1\11\1\1\1\11\1\1\1\11"+
    "\12\0\1\11\41\0\1\11\45\0\1\1\33\0\1\11"+
    "\4\0\1\1\50\0\1\1\24\0\1\1\370\0\1\11"+
    "\u0152\0\1\11\2\0\1\11\56\0\1\11\3\0\1\11"+
    "\30\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[855];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S206_AddOfPartitionsToReferences() { }
	
	private String context = "";
	
	private Reference retrievedReference = null;
	
	boolean isEuropeanReference = false;

	private void readReference() {
	
		String name = "[LKN:LEG_REF:";
		int start = yytext().indexOf(name);
		
		if(start == -1) {
			
			name = "[LKN:EU_LEG_REF:";
			start = yytext().indexOf(name);
		}
	
		if(start == -1) {
			
			name = "[LKN:REF:";
			start = yytext().indexOf(name);
		}
	
		retrievedReference = (Reference) retrieveEntity(yytext().substring(start));
		
		if(retrievedReference.getEntity().equals(Entity.EU_LEG_REF)) {
		
			retrievedReference.upgrade(Entity.EU_LEG_REF_PART);
			
		} else {
		
			retrievedReference.upgrade(Entity.LEG_REF_PART);
		}
	}

	private AnnotationEntity readPartition() {
	
		//String name = "[LKN:LEG_PARTITION:";
		String name = "[LKN:PARTITION:";
		int start = yytext().indexOf(name);
		
		return retrieveEntity(yytext().substring(start));
	}
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S206_AddOfPartitionsToReferences(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 14: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 15: break;
          case 3:
            { checkEnd();
            }
          // fall through
          case 16: break;
          case 4:
            { System.out.print(yytext());
            }
          // fall through
          case 17: break;
          case 5:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 18: break;
          case 6:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 19: break;
          case 7:
            { if( !checkEdge()) {
		
			addText();
			offset += yylength();
		}
            }
          // fall through
          case 20: break;
          case 8:
            { AnnotationEntity retrievedPartition = retrieveEntity();
		
		Reference legRef = new Reference(Entity.LEG_REF_PART);
		if(isEuropeanReference) legRef = new Reference(Entity.EU_LEG_REF_PART);
		legRef.setPosition(retrievedPartition.getPosition());
		legRef.setText(retrievedPartition.getText());
		legRef.setContext(context);
		
		for(AnnotationEntity relEnt : retrievedReference.getRelatedEntities()) {
		
			legRef.addRelatedEntity(relEnt);
			//Non aggiungere l'inversa altrimenti viene sovrascritta la reference originale?
		}
	
		legRef.addRelatedEntity(retrievedPartition);
		retrievedPartition.addRelatedEntity(legRef);
		
		addEntity(legRef);
	
		offset += yylength();
            }
          // fall through
          case 21: break;
          case 9:
            { AnnotationEntity retrievedPartition = retrieveEntity();
		
		//Aggiorna la precedente annotazione Reference
		retrievedReference.setPosition(retrievedPartition.getPosition());
		retrievedReference.setText(Util.removeAllAnnotations(yytext()));
		
		retrievedReference.addRelatedEntity(retrievedPartition);
		retrievedPartition.addRelatedEntity(retrievedReference);
		
		addEntity(retrievedReference);
		
		offset += yylength();
            }
          // fall through
          case 22: break;
          case 10:
            { //System.out.println("AddOfPartToRef pattern1: " + yytext());
	
	context = Util.removeAllAnnotations(yytext());

	isEuropeanReference = false;
	retrievedReference = null;
	readReference();
	((Reference) retrievedReference).setContext(context);
	offset = 0;
	length = yylength();
	yypushback(length);
	yybegin(convertPartitionAscState);
            }
          // fall through
          case 23: break;
          case 11:
            { //System.out.println("AddOfPartToRef pattern3: " + yytext());
	
	context = Util.removeAllAnnotations(yytext());

	isEuropeanReference = false;
	retrievedReference = null;
	readReference();
	((Reference) retrievedReference).setContext(context);
	offset = 0;
	length = yylength();
	yypushback(length);
	yybegin(convertPartitionAscState);
            }
          // fall through
          case 24: break;
          case 12:
            { //System.out.println("AddOfPartToRef pattern2: " + yytext());
	
	context = Util.removeAllAnnotations(yytext());
	
	isEuropeanReference = true;
	retrievedReference = null;
	readReference();
	((Reference) retrievedReference).setContext(context);
	offset = 0;
	length = yylength();
	yypushback(length);
	yybegin(convertPartitionAscState);
            }
          // fall through
          case 25: break;
          case 13:
            { //System.out.println("AddOfPartToRef pattern4: " + yytext());
	
	context = Util.removeAllAnnotations(yytext());
	
	isEuropeanReference = true;
	retrievedReference = null;
	readReference();
	((Reference) retrievedReference).setContext(context);
	offset = 0;
	length = yylength();
	yypushback(length);
	yybegin(convertPartitionAscState);
            }
          // fall through
          case 26: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S206_AddOfPartitionsToReferences [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S206_AddOfPartitionsToReferences scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S206_AddOfPartitionsToReferences(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
